/**
 * @file Modal window
 *
 * @author Dominik Kocuj <dominik@kocuj.pl>
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2 or later
 * @copyright Copyright (c) 2016 Dominik Kocuj <dominik@kocuj.pl>
 */function kocujILV2aCModal(){"use strict";var e=this;e._objHelper=kocujILV2aHelper,e._thisFilename=document.scripts[document.scripts.length-1].src;if(typeof kocujILV2aModalVals!="undefined"){var t=kocujILV2aModalVals;t.throwErrors!==undefined&&(t.throwErrors==="1"?e._valsThrowErrors=!0:e._valsThrowErrors=!1),t.prefix!==undefined&&(e._valsPrefix=t.prefix)}}(function(){})();var kocujILV2aModalType={DEFAULT:0,INFO:1,INFO_WITH_STATUS:2,LAST:2};kocujILV2aCModal.prototype={_objHelper:null,_thisFilename:"",_prj:[],_valsThrowErrors:!1,_valsPrefix:"",addProject:function(e,t,n){"use strict";var r=this._checkAddProject(e,t,n);if(this._prj["prj_"+r.projectId]!==undefined){this._throwError("PROJECT_ALREADY_EXISTS",r.projectId);return}this.addProjectIfNotExists(r.projectId,r.internalMargins,r.borderWidth)},addProjectIfNotExists:function(e,t,n){"use strict";var r=this._checkAddProject(e,t,n);this._prj["prj_"+r.projectId]===undefined&&(this._prj["prj_"+r.projectId]={internalMargins:r.internalMargins,borderWidth:r.borderWidth,preparedData:[],visible:[],opacity:[],closeEvents:[]})},getHTMLSelectorModalMask:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalMask(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalContainer:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalContainer(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialog:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialog(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialogInside:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialogInside(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialogContentInside:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialogContentInside(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialogElements:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialogElements(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialogTitle:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialogTitle(e)+this._changeIdToSuffix(t)},getHTMLSelectorModalDialogStatus:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameModalDialogStatus(e)+this._changeIdToSuffix(t)},addCloseEvent:function(projectId,id,elementPath,callback){"use strict";var self=this;(function($){projectId=self._parseProjectId(projectId),id=self._objHelper.initString(id),elementPath=self._objHelper.initString(elementPath);if(elementPath===""){self._throwError("EMPTY_ELEMENT_PATH",id);return}callback=self._objHelper.initFunction(callback),self._checkIdWithError(projectId,id,!0);var selectorElementPath=$(elementPath);if(selectorElementPath.length===0){self._throwError("ELEMENT_DOES_NOT_EXIST",elementPath);return}if(self.checkCloseEvent(projectId,id,elementPath)){self._throwError("MODAL_WINDOW_CLOSE_EVENT_EXISTS_ALREADY",elementPath);return}selectorElementPath.attr("href","javascript:void(0);"),selectorElementPath.bind("click."+self._getEventNamePrefix(projectId)+"modal_close_"+self._changeIdToSuffix(id),{projectId:projectId,id:id,callback:callback},function(event){event.preventDefault(),self.checkVisible(event.data.projectId,event.data.id)&&($(self.getHTMLSelectorModalDialog(event.data.projectId,event.data.id)).fadeOut("slow",function(){$(self.getHTMLSelectorModalMask(event.data.projectId,event.data.id)).fadeOut("fast",function(){$(self.getHTMLSelectorModalContainer(event.data.projectId,event.data.id)).hide(),$(self.getHTMLSelectorModalMask(event.data.projectId,event.data.id)).hide(),event.data.callback!==!1&&eval(event.data.callback),$(self.getHTMLSelectorModalDialogContentInside(event.data.projectId,event.data.id)).html("")})}),self._prj["prj_"+event.data.projectId].visible["win_"+event.data.id]=!1,delete self._prj["prj_"+event.data.projectId].preparedData["win_"+event.data.id])}),self._prj["prj_"+projectId].closeEvents["win_"+id]["sel_"+elementPath]=elementPath})(jQuery)},addCloseEventToMask:function(e,t,n){"use strict";this.addCloseEvent(e,t,this.getHTMLSelectorModalMask(e,t),n)},removeCloseEvent:function(e,t,n){"use strict";var r=this;(function(i){e=r._parseProjectId(e),t=r._objHelper.initString(t),n=r._objHelper.initString(n);if(n===""){r._throwError("EMPTY_ELEMENT_PATH",t);return}r._checkIdWithError(e,t,!0);var s=i(n);if(s.length===0){r._throwError("ELEMENT_DOES_NOT_EXIST",n);return}if(!r.checkCloseEvent(e,t,n)){r._throwError("MODAL_WINDOW_CLOSE_EVENT_DOES_NOT_EXIST",n);return}s.unbind("click."+r._getEventNamePrefix(e)+"modal_close_"+r._changeIdToSuffix(t)),delete r._prj["prj_"+e].closeEvents["win_"+t]["sel_"+n]})(jQuery)},removeCloseEventFromMask:function(e,t){"use strict";this.removeCloseEvent(e,t,this.getHTMLSelectorModalMask(e,t))},prepareModal:function(e,t,n,r){"use strict";var i=this;(function(s){e=i._parseProjectId(e),t=i._objHelper.initString(t),n=i._objHelper.initString(n),i._checkIdWithError(e,t,!1),i._savePreparedModalAttr(e,t,r);var o=i._prj["prj_"+e].preparedData["win_"+t],u='<div id="'+i._getHTMLNameModalContainer(e)+i._changeIdToSuffix(t)+'">'+'<div id="'+i._getHTMLNameModalDialog(e)+i._changeIdToSuffix(t)+'">';o.type===kocujILV2aModalType.INFO||o.type===kocujILV2aModalType.INFO_WITH_STATUS?(u+='<div id="'+i._getHTMLNameModalDialogElements(e)+i._changeIdToSuffix(t)+'">'+'<div id="'+i._getHTMLNameModalDialogTitle(e)+i._changeIdToSuffix(t)+'">'+o.title+"</div>"+'<div id="'+i._getHTMLNameModalDialogInside(e)+i._changeIdToSuffix(t)+'">'+'<div id="'+i._getHTMLNameModalDialogContentInside(e)+i._changeIdToSuffix(t)+'">'+"</div>"+"</div>",o.type===kocujILV2aModalType.INFO_WITH_STATUS&&(u+='<div id="'+i._getHTMLNameModalDialogStatus(e)+i._changeIdToSuffix(t)+'">'+"</div>"),u+="</div>"):u+='<div id="'+i._getHTMLNameModalDialogInside(e)+i._changeIdToSuffix(t)+'">'+"</div>",u+='</div><div id="'+i._getHTMLNameModalMask(e)+i._changeIdToSuffix(t)+'">'+"</div>"+"</div>",s("body").prepend(u),s(i.getHTMLSelectorModalContainer(e,t)).hide();var a=s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogInside(e,t)),f=s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialog(e,t));f.css({position:"absolute",display:"none","z-index":"999999","background-color":"#000000",left:s(window).width()/2-(o.width+i._prj["prj_"+e].internalMargins*2+i._prj["prj_"+e].borderWidth*2)/2,top:s(window).height()/2-(o.height+i._prj["prj_"+e].internalMargins*2+i._prj["prj_"+e].borderWidth*2)/2});var l={"background-color":"#ffffff","box-sizing":"content-box","margin-left":parseInt(i._prj["prj_"+e].borderWidth,10)+"px","margin-right":parseInt(i._prj["prj_"+e].borderWidth,10)+"px","margin-top":parseInt(i._prj["prj_"+e].borderWidth,10)+"px","margin-bottom":parseInt(i._prj["prj_"+e].borderWidth,10)+"px"};if(o.type===kocujILV2aModalType.INFO||o.type===kocujILV2aModalType.INFO_WITH_STATUS){var c="#464646";s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogElements(e,t)).css(l),s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogTitle(e,t)).css({"box-sizing":"content-box","font-size":"13px","text-align":"center","font-weight":"normal","line-height":"28px",width:parseInt(o.width,10)+"px",height:"28px",color:"#cccccc","background-color":c});var h=o.height-28,p=0,d=0;o.type===kocujILV2aModalType.INFO_WITH_STATUS&&(d=40,h-=d,p=1),a.css({"box-sizing":"content-box","font-size":"12px","text-align":"left","font-weight":"normal",width:parseInt(o.width,10)+"px",height:parseInt(h,10)+"px",padding:"0",color:c,"background-color":"#ffffff","border-bottom-color":"#000000","border-bottom-style":"solid","border-bottom-width":p+"px",overflow:"auto"}),s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogContentInside(e,t)).css({"box-sizing":"content-box","font-size":"12px","text-align":"left","font-weight":"normal",width:"auto",padding:parseInt(i._prj["prj_"+e].internalMargins,10)+"px "+parseInt(i._prj["prj_"+e].internalMargins,10)+"px "+parseInt(i._prj["prj_"+e].internalMargins,10)+"px "+parseInt(i._prj["prj_"+e].internalMargins,10)+"px",color:c,"background-color":"#ffffff",overflow:"hidden"}),o.type===kocujILV2aModalType.INFO_WITH_STATUS&&s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogStatus(e,t)).css({"box-sizing":"content-box","font-size":"12px","text-align":"center","vertical-align":"middle","font-weight":"normal",width:parseInt(o.width,10)+"px",height:d+"px",color:"#21759b","background-color":"#ececec"})}else a.css(l);s(i.getHTMLSelectorModalMask(e,t)).css({"box-sizing":"content-box",position:"absolute","z-index":999998,"background-color":"#000000",display:"none",left:0,top:0,width:s(window).width(),height:s(document).height()}),o.type===kocujILV2aModalType.DEFAULT&&(a.width(o.width),a.height(o.height)),o.type!==kocujILV2aModalType.DEFAULT&&s(i.getHTMLSelectorModalContainer(e,t)+" "+i.getHTMLSelectorModalDialogContentInside(e,t)).html(n),i._prj["prj_"+e].closeEvents["win_"+t]=[],i.addCloseEvent(e,t,i.getHTMLSelectorModalMask(e,t))})(jQuery)},unprepareModal:function(e,t){"use strict";var n=this;(function(r){e=n._parseProjectId(e),t=n._objHelper.initString(t),n._checkIdWithError(e,t,!0),n._checkNotVisibleWithError(e,t),r.each(n._prj["prj_"+e].closeEvents["win_"+t],function(r,i){n.removeCloseEvent(e,t,i)}),n._prj["prj_"+e].closeEvents["win_"+t]=[],r(n.getHTMLSelectorModalContainer(e,t)).remove(),delete n._prj["prj_"+e].preparedData["win_"+t]})(jQuery)},showPreparedModal:function(e,t,n,r){"use strict";var i=this;(function(s){e=i._parseProjectId(e),t=i._objHelper.initString(t),n=i._objHelper.initNumeric(n),r=i._objHelper.initNumeric(r),i._checkIdWithError(e,t,!0),i._checkNotVisibleWithError(e,t);var o=i._prj["prj_"+e].preparedData["win_"+t];s(i.getHTMLSelectorModalContainer(e,t)).show(),s(i.getHTMLSelectorModalMask(e,t)).fadeTo("fast",.8);var u=s(i.getHTMLSelectorModalDialog(e,t));n!==""&&u.css("left",n),r!==""&&u.css("top",r),o.width!==""&&u.width(o.width+i._prj["prj_"+e].borderWidth*2),o.height!==""&&u.height(o.height+i._prj["prj_"+e].borderWidth*2),i._prj["prj_"+e].opacity["win_"+t]=o.opacity,s(i.getHTMLSelectorModalDialog(e,t)).fadeTo("slow",o.opacity),i._prj["prj_"+e].visible["win_"+t]=!0})(jQuery)},showModal:function(e,t,n,r,i,s){"use strict";this.prepareModal(e,t,n,s),this.showPreparedModal(e,t,r,i)},changePreparedModalAttr:function(e,t,n){"use strict";e=this._parseProjectId(e),t=this._objHelper.initString(t),n=this._objHelper.initObject(n),this._checkIdWithError(e,t,!0),this._checkNotVisibleWithError(e,t),this._savePreparedModalAttr(e,t,n)},changeModalContent:function(e,t,n){"use strict";var r=this;(function(i){e=r._parseProjectId(e),t=r._objHelper.initString(t),n=r._objHelper.initString(n),r._checkIdWithError(e,t,!0),i(r.getHTMLSelectorModalContainer(e,t)+" "+r.getHTMLSelectorModalDialogContentInside(e,t)).html(n)})(jQuery)},checkVisible:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._prj["prj_"+e].visible["win_"+t]===undefined?!1:this._prj["prj_"+e].visible["win_"+t]},checkId:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._prj["prj_"+e].preparedData["win_"+t]!==undefined?!0:!1},checkCloseEvent:function(e,t,n){"use strict";var r=this;(function(i){e=r._parseProjectId(e),t=r._objHelper.initString(t),n=r._objHelper.initString(n);if(n===""){r._throwError("EMPTY_ELEMENT_PATH",t);return}r._checkIdWithError(e,t,!0);var s=i(n);if(s.length===0){r._throwError("ELEMENT_DOES_NOT_EXIST",n);return}return r._prj["prj_"+e].closeEvents["win_"+t]!==undefined&&r._prj["prj_"+e].closeEvents["win_"+t]["sel_"+n]!==undefined?!0:!1})(jQuery)},getType:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._checkIdWithError(e,t,!0),this._prj["prj_"+e].preparedData["win_"+t].type},getWidth:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._checkIdWithError(e,t,!0),parseInt(this._prj["prj_"+e].preparedData["win_"+t].width,10)},getHeight:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._checkIdWithError(e,t,!0),parseInt(this._prj["prj_"+e].preparedData["win_"+t].height,10)},getOpacity:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),this._checkIdWithError(e,t,!0),parseFloat(this._prj["prj_"+e].preparedData["win_"+t].opacity)},_getEventNamePrefix:function(e){"use strict";return this._valsPrefix+"_"+e+"__"},_getHTMLPrefix:function(e){"use strict";return this._valsPrefix+"_"+e+"__"},_getHTMLNameModalMask:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_mask"},_getHTMLNameModalContainer:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_container"},_getHTMLNameModalDialog:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog"},_getHTMLNameModalDialogInside:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog_inside"},_getHTMLNameModalDialogContentInside:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog_content_inside"},_getHTMLNameModalDialogElements:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog_elements"},_getHTMLNameModalDialogTitle:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog_title"},_getHTMLNameModalDialogStatus:function(e){"use strict";return this._getHTMLPrefix(e)+"modal_dialog_status"},_parseProjectId:function(e){"use strict";e=this._objHelper.initString(e);if(e===""){this._throwError("EMPTY_PROJECT_ID");return}if(this._prj["prj_"+e]===undefined){this._throwError("PROJECT_DOES_NOT_EXIST",e);return}return e},_checkAddProject:function(e,t,n){"use strict";e=this._objHelper.initString(e);if(e===""){this._throwError("EMPTY_PROJECT_ID");return}return t=this._objHelper.initNumeric(t),t===""&&(t=15),t<0&&(t=0),n=this._objHelper.initNumeric(n),n===""&&(n=5),n<0&&(n=0),{projectId:e,internalMargins:t,borderWidth:n}},_throwError:function(codeString,param){"use strict";codeString=this._objHelper.initString(codeString);if(codeString==="")return;param=this._objHelper.initString(param),this._valsThrowErrors&&eval("throw new kocujILV2aCException(kocujILV2aExceptionCode."+codeString+", this._thisFilename, param);")},_changeIdToSuffix:function(e){"use strict";var t="";return e!==""&&(t="_"+e),t},_checkNotVisibleWithError:function(e,t){"use strict";e=this._parseProjectId(e),t=this._objHelper.initString(t);if(this.checkVisible(e,t)){this._throwError("MODAL_WINDOW_VISIBLE",t);return}},_checkIdWithError:function(e,t,n){"use strict";e=this._parseProjectId(e),t=this._objHelper.initString(t),n=this._objHelper.initBoolean(n);if(n&&!this.checkId(e,t)){this._throwError("MODAL_WINDOW_HAS_NOT_BEEN_PREPARED",t);return}if(!n&&this.checkId(e,t)){this._throwError("MODAL_WINDOW_HAS_BEEN_PREPARED_ALREADY",t);return}},_savePreparedModalAttr:function(e,t,n){"use strict";var r=this;(function(i){n=r._objHelper.initObject(n);var s=kocujILV2aModalType.DEFAULT,o=600,u=parseInt(i(window).height(),10)-200;u<140&&(u=140);var a=1,f="",l="";if(n!==""){if("type"in n){s=r._objHelper.initNumeric(n.type);if(s<0||s>kocujILV2aModalType.LAST){r._throwError("MODAL_WINDOW_WRONG_TYPE",s);return}}if("width"in n){o=r._objHelper.initNumeric(n.width);if(o<=50){r._throwError("MODAL_WINDOW_WRONG_WIDTH",o);return}}if("height"in n){u=r._objHelper.initNumeric(n.height);if(u<=50){r._throwError("MODAL_WINDOW_WRONG_HEIGHT",u);return}}if("opacity"in n){a=r._objHelper.initNumericFloat(n.opacity);if(a<=0||a>1){r._throwError("MODAL_WINDOW_WRONG_OPACITY",a);return}}"title"in n&&(f=r._objHelper.initString(n.title)),"status"in n&&(l=r._objHelper.initString(n.status))}r._prj["prj_"+e].preparedData["win_"+t]={type:s,width:o,height:u,opacity:a,title:f,status:l}})(jQuery)}};var kocujILV2aModal=new kocujILV2aCModal;